/*******************************************************************************************/
/*-------------------------------------- -------------------------------------*/
/*******************************************************************************************/
//  (1 = 31,25 ):
#define Dl_1__   128                   //   2/1 (4 )
#define Dl_1_     96                   //   1/1+1/2 (3 )
#define Dl_1      64                   // 1/1 (2 )
#define Dl_2_     48                   //   1/2+1/4 (1,5 )
#define Dl_2      32                   // 1/2 (1 )
#define Dl_4_     24                   //   1/4+1/8 (0,75 )
#define Dl_4      16                   // 1/4 (0,5 )
#define Dl_6      11                   //1/4  1/6 (0,33 )
#define Dl_8_     12                   //   1/8+1/16 (0,375 )
#define Dl_8       8                   // 1/8 (0,25 )
#define Dl_16_     6                   //   1/16+1/32 (0,1875 )
#define Dl_16      4                   // 1/16 (0,125 )
#define Dl_32_     3                   //    1/32+1/64 (0,09375 )
#define Dl_32      2                   //  1/32 (0,0625 )
//: T=(XXX+1)/62500, F=1/T ( =(62500/F)-1)
// 
//       , ..    8 
#define Mi0   35                       //        (164.81 )   378
#define Fa0   34                       //        (174.62 )   357
#define FaD0  33                       //    (185.00 )   337
#define So0   32                       //      (196.00 )   318
#define SoD0  31                       //  (207.00 )   301
#define LaB0  31                       //  (207.00 )   301
#define La0   30                       //        (220.00 )   283
#define LaD0  29                       //    (233.08 )   267
#define SiB0  29                       //  (233.08 )   267
//
#define Si0   252                      //        (246.96 )
//1 
#define Do1        238                 //        (261.63 )
#define DoD1       224                 //    (277.18 )
#define ReB1       224                 //  (277.18 )
#define Re1        211                 //        (293.66 )
#define ReD1       200                 //    (311.13 )
#define MiB1       200                 //  (311.13 )
#define Mi1        189                 //        (329.63 )
#define Fa1        178                 //        (349.23 )
#define FaD1       168                 //    (369.99 )
#define SoB1       168                 // . (369.99 )
#define So1        158                 //      (392.00 )
#define SoD1       149                 //  (415.30 )
#define LaB1       149                 //  (415.30 )
#define La1        141                 //        (440.00 )
#define LaD1       133                 //    (466.16 )
#define SiB1       133                 //  (466.16 )
#define Si1        126                 //        (493.88 )
//2 
#define Do2        118                 //        (523.25 )
#define DoD2       112                 //    (554.36 )
#define ReB2       112                 //  (554.36 )
#define Re2        105                 //        (587.32 )
#define ReD2        99                 //    (622.26 )
#define MiB2        99                 //  (622.26 )
#define Mi2         94                 //        (659.26 )
#define Fa2         88                 //        (698.46 )
#define FaD2        83                 //    (739.98 )
#define SoB2        83                 // . (739.98 )
#define So2         79                 //      (784.00 )
#define SoD2        74                 //  (830.60 )
#define LaB2        74                 //  (830.60 )
#define La2         70                 //        (880.00 )
#define LaD2        66                 //    (932.32 )
#define SiB2        66                 //  (932.32 )
#define Si2         62                 //        (987.75 )
//3 
#define Do3         59                 //        (1046.50 )
#define DoD3        55                 //    (1108.70 )
#define ReB3        55                 //  (1108.70 )
#define Re3         52                 //        (1174.60 )
#define ReD3        49                 //    (1244.50 )
#define MiB3        49                 //  (1244.50 )
#define Mi3         46                 //        (1318.50 )
#define Fa3         44                 //        (1396.90 )
#define FaD3        41                 //    (1480.00 )
#define SoB3        41                 // . (1480.00 )
#define Pausa      255                 //
//:
#define Qmel 37                        // 
/*  flash-       */
static unsigned char __attribute__ ((progmem)) massqmel[]=
              { 68, 103, 42, 41, 32, 71, 95, 88, 97, 57, 71, 58, 61, 99, 81, 113, 66,
//melody_index:  0    1   2   3   4   5   6   7   8   9  10  11  12  13  14   15  16
                53, 55, 64, 108, 142, 86, 76, 56, 102, 102, 92, 89, 39, 68, 59, 162,
//melody_index: 17  18  19   20   21  22  23  24   25   26  27  28  29  30  31   32
                103, 94, 71, 81 };
//melody_index:  33  34  35  36
//
/*--------" -  ------*/
static unsigned char __attribute__ ((progmem)) Siren [68][2] =
{ { Mi1, Dl_8 },
  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_4 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_4 },
  { Pausa, Dl_4 },

  { Mi1, Dl_8 },
  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_4_ },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_4 },
  { Pausa, Dl_4 },

  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Re2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { La1, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Si1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },

  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { Si1, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { FaD1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_16 },
  { La1, Dl_16 },
  { Mi1, Dl_4 },
  { Pausa, Dl_4 },

  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Mi2, Dl_8 },
  { Si1, Dl_4 },
  { Pausa, Dl_8 },
  { ReD1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_16 },
  { La1, Dl_16 },
  { Mi1, Dl_4 }
};
//
/*--------"  (.)"-------*/
static unsigned char __attribute__ ((progmem)) Moment [103][2] =
{ { La0, Dl_8 },
  { La1, Dl_8 },
  { La0, Dl_8 },
  { La1, Dl_8 },
  { La0, Dl_8 },
  { La1, Dl_8 },
  { La0, Dl_8 },
  { La1, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Mi2, Dl_4 },
  { Mi2, Dl_4 },

  { Do2, Dl_8 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { La2, Dl_4 },
  { La2, Dl_4 },

  { La2, Dl_8 },
  { La2, Dl_16 },
  { Si2, Dl_16 },
  { La2, Dl_8 },
  { La2, Dl_8 },
  { La2, Dl_8 },
  { Re3, Dl_8 },
  { La2, Dl_4 },

  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { SoD2, Dl_16 },
  { La2, Dl_4 },
  { La2, Dl_4 },

  { Mi2, Dl_4 },
  { Mi2, Dl_4 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { So2, Dl_16 },
  { Fa2, Dl_16 },
  { Fa2, Dl_8_ },
  { Mi2, Dl_16 },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Re2, Dl_4 },
  { Mi2, Dl_4 },

  { Do3, Dl_4 },
  { Do3, Dl_4 },
  { Si2, Dl_16 },
  { La2, Dl_16 },
  { SoD2, Dl_16 },
  { La2, Dl_16 },
  { La2, Dl_4 },
  { La2, Dl_16 },
  { So2, Dl_16 },
  { So2, Dl_4 },
  { So2, Dl_8 },
  { So2, Dl_4 },
  { So2, Dl_4 },

  { SoD2, Dl_4 },
  { SoD2, Dl_4 },
  { Do3, Dl_8 },
  { Do3, Dl_16 },
  { Si2, Dl_16 },
  { La2, Dl_8 },
  { So2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_4 },
  { SoD2, Dl_4 },

  { Do3, Dl_8 },
  { Do3, Dl_16 },
  { Si2, Dl_16 },
  { La2, Dl_8 },
  { So2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_4 },
  { Mi2, Dl_4 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { So2, Dl_16 },
  { Fa2, Dl_16 },
  { Fa2, Dl_8 },
  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_4 },
  { Do2, Dl_4 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Roman [42][2] =
{ { Do2, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { SoD2, Dl_8 },
  { So2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Fa2, Dl_4 },
  { Pausa, Dl_4_ },
  { Do2, Dl_8 },
  { DoD2, Dl_8 },
  { Do2, Dl_8 },
  { LaD1, Dl_4 },
  { Pausa, Dl_4_ },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_4 },
  { Pausa, Dl_4_ },
  { Do2, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { SoD2, Dl_8 },
  { So2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Fa2, Dl_4 },
  { Pausa, Dl_4_ },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { SoD2, Dl_8 },
  { So2, Dl_2 },
  { Fa2, Dl_4 },
  { So2, Dl_4 }
};
//
/*--------" "---------*/
static unsigned char __attribute__ ((progmem)) Bank [41][2] =
{ { Fa2, Dl_8 },
  { Re2, Dl_16 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Re2, Dl_8 },
  { La1, Dl_16 },
  { Fa2, Dl_8 },
  { Re2, Dl_16 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_8 },
  { Re2, Dl_16 },
  { Fa2, Dl_8 },
  { Mi2, Dl_16 },
  { Pausa, Dl_8 },
  { SoD1, Dl_2 },
  { Pausa, Dl_4 },

  { Fa2, Dl_8 },
  { Mi2, Dl_16 },
  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_8 },
  { So1, Dl_16 },
  { Fa2, Dl_8 },
  { Mi2, Dl_16 },
  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_8 },
  { So1, Dl_16 },
  { Mi2, Dl_8 },
  { Re2, Dl_16 },
  { Pausa, Dl_8 },
  { La2, Dl_2 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Djen [32][2] =
{ { Mi2, Dl_8 },
  { Fa2, Dl_8 },
  { Pausa, Dl_16 },
  { Mi2, Dl_16 },
  { ReD2, Dl_16 },
  { Mi2, Dl_16 },
  { Pausa, Dl_16 },
  { Do2, Dl_4 },
  { Pausa, Dl_4 },
  { Mi2, Dl_8 },
  { Fa2, Dl_8 },
  { Pausa, Dl_16 },
  
  { Mi2, Dl_16 },
  { ReD2, Dl_16 },
  { Mi2, Dl_16 },
  { Pausa, Dl_16 },
  { Si1, Dl_4 },
  { Pausa, Dl_4 },
  { Mi2, Dl_8 },
  { Do3, Dl_8 },
  { Si2, Dl_8 },
  { La2, Dl_8 },
  
  { Mi2, Dl_8 },
  { So2, Dl_8 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_16 },
  { Re2, Dl_2 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Platoch [71][2] =
{ { La1, Dl_8 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8_ },
  { Fa1, Dl_16 },
  { Mi1, Dl_8 },
  { Re1, Dl_4_},
  { Pausa, Dl_4 },

  { Re2, Dl_8 },
  { La1, Dl_8 },
  { LaD1, Dl_8 },
  { Do2, Dl_8 },
  { Re2, Dl_8 },
  { ReD2, Dl_8 },
  { Re2, 40 },
  { Pausa, Dl_8 },

  { So1, Dl_8 },
  { La1, Dl_8 },
  { SiB1, Dl_8 },
  { Fa2, Dl_4 },
  { Mi2, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_4 },
  { Re2, Dl_8 },
  { DoD2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_2 },
  { Pausa, Dl_8 },

  { La1, Dl_8 },
  { Mi1, Dl_2 },
  { Pausa, Dl_8 },

  { La1, Dl_8 },
  { Fa1, Dl_2 },
  { Pausa, Dl_4 },

  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, 40 },
  { Pausa, Dl_8 },

  { So1, Dl_8 },
  { La1, Dl_8 },
  { SiB1, Dl_8 },
  { Fa2, Dl_4 },
  { Mi2, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_4 },
  { Re2, Dl_8 },
  { DoD2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { DoD1, Dl_16 },
  { Re1, Dl_16 },
  { Fa1, Dl_16 },
  { La1, Dl_16 },
  { Re2, Dl_8 }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Kumpars [95][2] =
{ { Re1, Dl_8 },
  { Pausa, Dl_8 },
  { Do2, Dl_8 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },
  { FaD1, Dl_8 },
  { Pausa, Dl_4 },

  { Re1, Dl_8 },
  { ReD1, Dl_8 },
  { Re1, Dl_8 },
  { DoD1, Dl_8 },
  { Pausa, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Re1, Dl_8 },
  { Pausa, Dl_8 },
  { Re2, Dl_8 },
  { Pausa, Dl_8 },
  { LaD1, Dl_8 },
  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_4 },

  { Re1, Dl_8 },
  { ReD1, Dl_8 },
  { Re1, Dl_8 },
  { DoD1, Dl_8 },
  { Pausa, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Re1, Dl_8 },
  { Pausa, Dl_8 },
  { Do2, Dl_8 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },
  { FaD1, Dl_8 },
  { Pausa, Dl_4 },

  { Re1, Dl_8 },
  { ReD1, Dl_8 },
  { Re1, Dl_8 },
  { DoD1, Dl_8 },
  { Pausa, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Re1, Dl_8 },
  { Pausa, Dl_8 },
  { Re2, Dl_8 },
  { Pausa, Dl_8 },
  { LaD1, Dl_8 },
  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_4 },

  { Re1, Dl_8 },
  { ReD1, Dl_8 },
  { Re1, Dl_8 },
  { DoD1, Dl_8 },
  { Pausa, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Do2, Dl_8 },
  { Pausa, Dl_8 },
  { So2, Dl_4 },
  { FaD2, Dl_4 },
  { So2, Dl_4 },
  { Pausa, Dl_8 },

  { FaD2, Dl_8 },
  { So2, Dl_8 },
  { FaD2, Dl_8 },
  { So2, Dl_4 },
  { La2, Dl_8 },
  { So2, Dl_8 },
  { SiB1, Dl_8 },
  { Pausa, Dl_8 },
  { So2, Dl_4 },
  { FaD2, Dl_4 },
  { So2, Dl_4 },
  { Pausa, Dl_8 },
  { FaD2, Dl_8 },
  { So2, Dl_8 },
  { FaD2, Dl_8 },
  { So2, Dl_4 },
  { La2, Dl_8 },
  { So2, Dl_8 },
  { La1, Dl_4 },
  { Re2, Dl_4 },
  { DoD2, Dl_4 },
  { Re2, Dl_4 },
  { Pausa, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_4 },
  { FaD1, Dl_4 },
  { So1, Dl_4_ }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Slav [88][2] =
{ { Do2, Dl_32 },
  { Re2, Dl_32 },
  { Mi2, Dl_32 },
  { Fa2, Dl_4 },
  { ReB2, Dl_4 },
  { Do2, Dl_4 },
  { SiB1, Dl_8_ },
  { So1, Dl_16 },
  { LaB1, Dl_8},
  { Do2, Dl_8 },
  { So1, Dl_8 },
  { Do2, Dl_8 },
  { Fa1, Dl_8 },
  { Pausa, Dl_8 },

  { Do2, Dl_8_ },
  { ReB2, Dl_16 },
  { Do2, Dl_4 },
  { LaB1, Dl_8_ },
  { So1, Dl_16 },
  { Fa1, Dl_4 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_4_ },
  { Mi1, Dl_8 },
  { Do1, Dl_8 },
  { Pausa, Dl_8 },

  { Do2, Dl_8_ },
  { ReB2, Dl_16 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { So2, Dl_4 },
  { LaB2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, 40 },
  { Pausa, Dl_8 },

  { Fa2, Dl_8_ },
  { Mi2, Dl_16 },
  { So2, Dl_4 },
  { Fa2, Dl_8 },
  { ReB2, Dl_8 },
  { SiB1, Dl_4 },
  { ReB2, Dl_8 },
  { Fa2, Dl_8 },
  { Do2, Dl_4_ },
  { LaB1, Dl_8 },
  { Fa1, Dl_4 },
  { Do2, Dl_8_ },
  { ReB2, Dl_16 },
  { Do2, Dl_8 },
  { Pausa, Dl_8 },
  { Mi1, Dl_8_ },
  { So1, Dl_16 },
  { Do2, Dl_8 },
  { Pausa, Dl_8 },
  { So1, Dl_8_ },
  { LaB1, Dl_16 },
  { Fa1, 40 },
  { Pausa, Dl_8 },

  { Do2, Dl_4 },
  { LaB2, Dl_2_ },
  { So2, Dl_8_ },
  { Fa2, Dl_16 },
  { So2, 40 },
  { Pausa, Dl_8 },

  { Do2, Dl_4 },
  { So2, Dl_2_ },
  { LaB2, Dl_8_ },
  { So2, Dl_16 },
  { Fa2, 40 },
  { Pausa, Dl_8 },

  { Do2, Dl_4 },
  { Fa2, Dl_2_ },
  { So2, Dl_8_ },
  { Fa2, Dl_16 },
  { SiB2, 40 },
  { SiB1, Dl_8 },
  { Do2, Dl_8 },
  { ReB2, Dl_8 },
  { Do2, Dl_4 },
  { So1, Dl_4 },
  { LaB1, Dl_4_ },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Fa1, Dl_8 },
  { Do2, Dl_8 },
  { LaB1, Dl_8 },
  { Fa1, Dl_8 }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Valenki [97][2] =
{ { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { La2, Dl_8 },
  { Do3, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { SoD2, Dl_8 },
  { Si2, Dl_8 },
  { La2, Dl_8 },
  { Si2, Dl_8 },
  { Do3, Dl_8 },
  { Mi2, Dl_8 },
  { So2, Dl_8 },
  { La1, Dl_8 },
  { Fa2, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_8 },
  { ReD1, Dl_8 },
  { SoD1, Dl_8 },
  { Re1, Dl_8 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_2 },

  { Mi1, Dl_4 },
  { La1, Dl_4 },
  { SoD1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_4 },
  { SoD1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_8 },
  { SoD1, Dl_8 },

  { Do2, Dl_4 },
  { Do2, Dl_4 },
  { Re2, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Mi1, Dl_4 },
  { FaD1, Dl_4 },
  { SoD1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Re2, Dl_8 },

  { Do2, Dl_2 },
  { Si1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_4 },
  { SoD1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_2 },

  { Do2, Dl_2 },
  { Si1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_4 },
  { SoD1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_4 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Garmon [57][2] =
{ { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { Si1, Dl_8_ },
  { So1, Dl_8_ },
  { Mi1, Dl_8_ },
  { ReD1, Dl_8_ },
  { FaD1, Dl_8_ },
  { La1, Dl_8_ },
  { Do2, Dl_8_ },
  { Si1, 36 },

  { Mi1, Dl_8_ },
  { FaD1, Dl_8_ },
  { So1, Dl_8_ },
  { Mi1, Dl_8_ },
  { Do1, Dl_8_ },
  { Si0, Dl_8_ },
  { ReD1, Dl_8_ },
  { FaD1, Dl_8_ },
  { So1, Dl_2_ },

  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { Do2, Dl_8_ },
  { Do2, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { FaD1, Dl_8_ },
  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { Si1, 36 },

  { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { La1, Dl_8_ },
  { La1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_8_ },
  { FaD1, Dl_8_ },
  { So1, Dl_2_ },

  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { Do2, Dl_8_ },
  { Do2, Dl_8_ },
  { So1, Dl_8_ },
  { Re2, Dl_8_ },
  { Re2, Dl_8_ },
  { Do2, Dl_8_ },
  { Si1, Dl_8_ },
  { Si1, 36 },

  { Mi1, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_8_ },
  { La1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_8_ },
  { ReD1, Dl_8_ },
  { Mi1, 36 },
};
//
/*--------",  "--------*/
static unsigned char __attribute__ ((progmem)) Kalina [71][2] =
{ 
/*{ Mi1, Dl_16 },
  { So1, Dl_16 },
  { Si1, Dl_16 },
  { Mi2, Dl_16 },
  { So2, Dl_4 },
  { FaD2, Dl_16 },
  { Mi2, Dl_16 },
  { ReD2, Dl_16 },
  { FaD2, Dl_16 },
  { Si1, Dl_4 },
  { Re2, Dl_16 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { Re2, Dl_16 },
  { So1, Dl_4 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { So1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_4 },
  { Si1, Dl_4 },
*/
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Si0, Dl_8 },
  { Mi1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_16 },
  { Mi1, Dl_16 },
  { FaD1, Dl_8 },
  { Mi1, Dl_4_ },
  { Pausa, Dl_8 },

  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Si0, Dl_8 },
  { Mi1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_16 },
  { Mi1, Dl_16 },
  { FaD1, Dl_8 },
  { So1, Dl_4 },
  { Si0, Dl_16 },
  { Re1, Dl_16 },
  { So1, Dl_16 },
  { La1, Dl_16 },

  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_4 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_2 },

  { Si0, Dl_8 },
  { Si1, Dl_8 },
  { LaD1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_4 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Si0, Dl_8 },
  { Si0, Dl_8 },
  { Si0, Dl_8 },
  { Si0, Dl_8 },
  { Mi1, Dl_8 },
  { ReD1, Dl_16 },
  { Mi1, Dl_16 },
  { FaD1, Dl_16 },
  { So1, Dl_16 },
  { LaD1, Dl_16 },
  { Si1, Dl_16 },

  { Mi1, Dl_8 },
  { Mi2, Dl_8 },
  { ReD2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { Mi2, Dl_8 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Kamysh [58][2] =
{ 
/*{ Si1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Mi1, Dl_8 },
  { FaD1, Dl_8 },
  { So1, Dl_8 },
  { Si1, Dl_8 },
  { Mi2, Dl_8 },
  { Mi1, Dl_8 },
  { SoD1, Dl_8 },
  { Si1, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Re2, Dl_4 },
  { Do2, Dl_2 },
  { Mi2, Dl_4 },
  { FaD2, Dl_4 },
  { Mi2, Dl_4 },
  { Si1, Dl_2 },
  { So1, Dl_4 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi2, Dl_2_ },
*/
  { So1, Dl_4 },
  { So1, Dl_4 },
  { FaD1, Dl_4 },
  { Mi1, Dl_2 },
  { Si1, Dl_4 },
  { Do2, Dl_2 },
  { Si1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_2 },

  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_2 },
  { Mi1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_4 },
  { FaD1, Dl_4 },
  { Mi1, Dl_2_ },

  { So1, Dl_4 },
  { So1, Dl_4 },
  { FaD1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Si1, Dl_4 },
  { Mi2, Dl_2 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { Do2, Dl_2 },

  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { Mi2, Dl_4 },
  { Si1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_4 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi1, Dl_2_ },

  { So1, Dl_4 },
  { So1, Dl_4 },
  { FaD1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Si1, Dl_4 },
  { Mi2, Dl_2 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { Do2, Dl_2 },

  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { Mi2, Dl_4 },
  { Si1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_4 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { Mi2, Dl_2_ }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Katysha [61][2] =
{ { Fa1, Dl_4_ },
  { So1, Dl_8 },
  { LaB1, Dl_4_ },
  { Fa1, Dl_8 },
  { LaB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_4 },
  { Do1, Dl_4 },

  { So1, Dl_4_ },
  { LaB1, Dl_8 },
  { SiB1, Dl_4_ },
  { So1, Dl_8 },
  { SiB1, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_2 },

  { Do2, Dl_4 },
  { Fa2, Dl_4 },
  { MiB2, Dl_4 },
  { Fa2, Dl_8 },
  { MiB2, Dl_8 },
  { ReB2, Dl_8 },
  { ReB2, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_4 },
  { Fa1, Dl_4 },
  { Pausa, Dl_8 },

  { ReB2, Dl_4 },
  { SiB1, Dl_8 },
  { Do2, Dl_4_ },
  { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_2 },

  { Do2, Dl_4 },
  { Fa2, Dl_4 },
  { MiB2, Dl_4 },
  { Fa2, Dl_8 },
  { MiB2, Dl_8 },
  { ReB2, Dl_8 },
  { ReB2, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_4 },
  { Fa1, Dl_4 },
  { Pausa, Dl_8 },

  { ReB2, Dl_4 },
  { SiB1, Dl_8 },
  { Do2, Dl_4_ },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Do1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_2 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Kazachka [99][2] =
{ { So1, Dl_16 },
  { La1, Dl_16 },
  { FaD1, Dl_16 },
  { So1, Dl_16 },
  { Mi1, Dl_8 },
  { Si1, Dl_2 },
  { Si1, Dl_8 },
  { La1, Dl_16 },
  { So1, Dl_16 },
  { FaD1, Dl_16 },
  { Mi1, Dl_16 },
  { Si0, Dl_8 },
  { Si1, Dl_2_ },
  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_4 },

  { So1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Re2, Dl_2_ },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_2 },

  { Do2, Dl_4_ },
  { La1, Dl_4 },
  { Do2, Dl_4 },
  { La1, Dl_4 },
  { Si1, Dl_4 },
  { Si1, Dl_8 },
  { Si1, Dl_4 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_8 },

  { Si1, Dl_4 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_2 },

  { La1, Dl_4_ },
  { Mi1, Dl_4 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_4 },
  { So1, Dl_8 },
  { So1, Dl_4 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Pausa, Dl_8 },

  { Si0, Dl_4 },
  { Si0, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_1 },

  { Mi2, Dl_2_ },
  { FaD2, Dl_4 },
  { Re2, Dl_1 },
  { Pausa, Dl_8 },
  { Do2, Dl_4 },
  { Re2, Dl_8 },
  { FaD2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_2_ },
  { Pausa, Dl_8 },
  { La1, Dl_4 },
  { Si1, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_2 },
  { Si1, Dl_2 },
  { Pausa, Dl_8 },

  { Si1, Dl_4 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_2_ }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Osen_Son [81][2] =
{ { So0, Dl_4_ },
  { Do1, Dl_4_ },
  { MiB1, Dl_4_ },
  { So1, Dl_4_ },
  { So1, Dl_4_ },
  { Fa1, Dl_4 },
  { Do1, Dl_8 },
  { MiB1, Dl_4_ },
  { Re1, Dl_4_ },

  { Do1, Dl_4_ },
  { MiB1, Dl_4_ },
  { So1, Dl_4_ },
  { SiB1, Dl_4_ },
  { SiB1, Dl_4_ },
  { SiB1, Dl_4 },
  { LaB1, Dl_8 },
  { So1, Dl_4_ },

  { FaD1, Dl_16 },
  { So1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { MiB2, Dl_4_ },
  { Re2, Dl_4 },
  { So1, Dl_8 },
  { Re2, Dl_4_ },
  { Do2, Dl_4_ },
  { Do2, Dl_4_ },
  { SiB1, Dl_4 },
  { So1, Dl_8 },
  { MiB1, Dl_4_ },
  { Fa1, Dl_4_ },
  { So1, Dl_4_ },
  { FaD1, Dl_4_ },
  { So1, Dl_4_ },
  { LaB1, Dl_8 },
  { Pausa, Dl_8 },
  { Do1, Dl_8 },
  { MiB1, Dl_4_ },
  { Re1, Dl_4_ },
  { Do1, Dl_2 },

  { So2, Dl_8 },
  { LaB2, Dl_8 },
  { So2, Dl_8 },
  { LaB2, Dl_8 },
  { Fa2, Dl_4 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { MiB2, Dl_4 },
  { MiB2, Dl_8 },
  { Fa2, Dl_8 },
  { Re2, Dl_8 },
  { MiB2, Dl_8 },
  { Re2, Dl_8 },
  { MiB2, Dl_8 },
  { Re2, Dl_8 },
  { MiB2, Dl_8 },
  { Do2, Dl_4 },

  { So1, Dl_4 },
  { So2, Dl_8 },
  { LaB2, Dl_8 },
  { So2, Dl_8 },
  { LaB2, Dl_8 },
  { Fa2, Dl_4 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { MiB2, Dl_4 },
  { MiB2, Dl_8 },
  { Fa2, Dl_8 },
  { Re2, Dl_8 },
  { MiB2, Dl_8 },
  { Re2, Dl_8 },
  { MiB2, Dl_8 },
  { Re2, Dl_8 },
  { MiB2, Dl_8 },
  { Do2, Dl_4 },
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Dunay [113][2] =
{ { Mi1, Dl_8 },
  { Mi1, Dl_2 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_2 },
  { SoD1, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_2 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_2 },
  { Pausa, Dl_8 },

  { Mi2, Dl_8 },
  { Fa2, Dl_2 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_2 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_2 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_2 },
  { Pausa, Dl_8 },

  { Mi1, Dl_8 },
  { Mi1, Dl_2 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_2 },
  { SoD1, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_2 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_2 },
  { Pausa, Dl_8 },

  { Mi2, Dl_8 },
  { Fa2, Dl_2 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_2 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_2 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_4_ },
  
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { So2, Dl_16 },
  { La2, Dl_16 },
  { Pausa, Dl_16 },
  { La2, Dl_16 },
  { Pausa, Dl_16 },
  { La2, Dl_16 },
  { Pausa, Dl_16 },
  { La2, Dl_16 },
  { Pausa, Dl_16 },
  { La2, Dl_16 },
  { Pausa, Dl_16 },
  { La2, Dl_16 },
  { Pausa, Dl_16 },
  { La2, Dl_8 },
  { So2, Dl_8_ },
  { FaD2, Dl_16 },
  { So2, Dl_4_ },

  { Fa2, Dl_16 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Pausa, Dl_16 },
  { Fa2, Dl_16 },
  { Pausa, Dl_16 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8_ },
  { ReD2, Dl_16 },
  { Mi2, Dl_4_ },

  { Re2, Dl_16 },
  { Pausa, Dl_16 },
  { Re2, Dl_16 },
  { Pausa, Dl_16 },
  { Re2, Dl_16 },
  { Pausa, Dl_16 },
  { Re2, Dl_16 },
  { Pausa, Dl_16 },
  { Re2, Dl_16 },
  { Pausa, Dl_16 },
  { Re2, Dl_16 },
  { Pausa, Dl_16 },
  { Re2, Dl_8 },
  { Do2, Dl_8_ },
  { Si1, Dl_16 },
  { La1, Dl_4 },

  { La2, Dl_8 },
  { Fa2, Dl_8 },
  { Re2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { La1, Dl_8 },

  { Re2, Dl_16 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { So2, Dl_16 },
  { La2, Dl_16 }
};
//
/*--------"  "--------*/
static unsigned char __attribute__ ((progmem)) Manych [66][2] =
{ 
/*{ Do2, Dl_2 },
  { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_2_ },
  { SiB1, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { LaB2, Dl_4 },
  { So2, Dl_8 },
  { Fa2, Dl_2_ },

  { Do2, Dl_8 },
  { Fa2, Dl_8 },
  { LaB2, Dl_8 },
  { Mi2, Dl_4 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { ReB2, Dl_8 },
  { So2, Dl_4 },
  { Fa2, Dl_8 },
  { Do2, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { LaB2, Dl_4 },
  { So2, Dl_8 },
  { Fa2, Dl_2 },
  { Pausa, Dl_4 },
*/
  { Do2, Dl_2 },
  { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_2_ },
  { SiB1, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { LaB2, Dl_4 },
  { So2, Dl_8 },
  { Fa2, Dl_2_ },

  { Do2, Dl_8 },
  { Fa2, Dl_8 },
  { LaB2, Dl_8 },
  { Mi2, Dl_4 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { ReB2, Dl_8 },
  { So2, Dl_4 },
  { Fa2, Dl_8 },
  { Do2, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { LaB2, Dl_4 },
  { So2, Dl_8 },
  { Fa2, Dl_2 },

  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { ReB2, Dl_16 },
  { Do2, Dl_8 },
  { Pausa, Dl_8 },
  { So1, Dl_4 },
  { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_2 },

  { MiB2, Dl_16 },
  { Re2, Dl_16 },
  { MiB2, Dl_16 },
  { Fa2, Dl_16 },
  { MiB2, Dl_8 },
  { Pausa, Dl_8 },
  { SiB1, Dl_4 },
  { Do2, Dl_8 },
  { ReB2, Dl_8 },
  { MiB2, Dl_2 },

  { MiB2, Dl_8 },
  { Mi2, Dl_8 },
  { Fa2, Dl_4 },
  { Do2, Dl_8 },
  { Do2, Dl_32 },
  { ReB2, Dl_16 },
  { Do2, Dl_32 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { MiB2, Dl_4 },
  { ReB2, Dl_8 },
  { Pausa, Dl_8 },

  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { LaB2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_4 },
  { So2, Dl_8 },
  { Fa2, Dl_2 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Koster [53][2] =
{ { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_2 },
  { Fa1, Dl_4 },
  { La1, Dl_2 },
  { Fa1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_2 },
  { Pausa, Dl_4 },

  { Mi1, Dl_4 },
  { Re1, Dl_4 },
  { DoD1, Dl_2 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Fa1, Dl_2_ },
  { Pausa, Dl_4 },

  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_2 },
  { Fa1, Dl_4 },
  { La1, Dl_2 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { SiB1, Dl_2 },
  { Pausa, Dl_4 },

  { Do2, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_2 },
  { La1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_2_ },
  { Pausa, Dl_4 },

  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_2 },
  { Fa1, Dl_4 },
  { La1, Dl_2 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { SiB1, Dl_2 },
  { Pausa, Dl_4 },

  { Do2, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_2 },
  { La1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_1 }
};
//
/*--------"  "--------*/
static unsigned char __attribute__ ((progmem)) More [55][2] =
{ { La1, Dl_8_ },
  { Do2, Dl_8_ },
  { Do2, 18 },
  { Si1, Dl_16_ },
  { Re2, Dl_8_ },
  { Do2, 18 },
  { Si1, Dl_16_ },
  { Do2, Dl_8_ },
  { Do2, 36 },
  { Pausa, Dl_8_ },

  { Do1, Dl_8_ },
  { Do1, Dl_8_ },
  { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { Re2, Dl_8_ },
  { Do2, 18 },
  { SiB1, Dl_16_ },
  { La1, 60 },

  { La1, Dl_8_ },
  { Re2, Dl_8_ },
  { La1, 18 },
  { So1, Dl_16_ },
  { Fa1, Dl_8_ },
  { Mi1, Dl_8_ },
  { Re1, Dl_8_ },
  { So1, Dl_4_ },
  { SiB1, Dl_8_ },
  { Re2, Dl_4_ },

  { SiB1, Dl_8_ },
  { La1, Dl_8_ },
  { La1, 18 },
  { Mi1, Dl_16_ },
  { So1, Dl_8_ },
  { Fa1, Dl_8_ },
  { Mi1, Dl_8_ },
  { Re1, Dl_2_ },
  { Pausa, Dl_8_ },

  { La1, Dl_8_ },
  { Re2, Dl_8_ },
  { La1, 18 },
  { So1, Dl_16_ },
  { Fa1, Dl_8_ },
  { Mi1, Dl_8_ },
  { Re1, Dl_8_ },
  { So1, Dl_4_ },
  { SiB1, Dl_8_ },
  { Re2, Dl_4_ },

  { SiB1, Dl_8_ },
  { La1, Dl_8_ },
  { La1, 18 },
  { Mi1, Dl_16_ },
  { So1, Dl_8_ },
  { Fa1, Dl_8_ },
  { Mi1, Dl_8_ },
  { Re1, Dl_2_ }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Polonez [64][2] =
{ { Mi2, Dl_4_ },
  { ReD2, Dl_16 },
  { Mi2, Dl_16 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { La1, Dl_4_ },

  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { Mi2, Dl_8 },
  { La2, Dl_4_ },
  { Mi2, Dl_8 },
  { So2, Dl_8 },
  { FaD2, Dl_8 },
  { Fa2, Dl_4_ },

  { Re2, Dl_8 },
  { Si2, Dl_8_ },
  { La2, Dl_16 },
  { SoD2, Dl_8_ },
  { Fa2, Dl_16 },
  { Mi2, Dl_8_ },
  { Re2, Dl_16 },
  { Mi2, Dl_8_ },
  { Re2, Dl_16 },
  { Do2, Dl_4_ },

  { La1, Dl_8 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Re2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { La1, Dl_16 },
  { Do2, Dl_16 },
  { Mi2, Dl_16 },
  { La2, Dl_16 },
  { Do3, Dl_4_ },
  { La2, Dl_8 },
  
  { Si2, Dl_16 },
  { Do3, Dl_16 },
  { Si2, Dl_16 },
  { La2, Dl_16 },
  { Si2, Dl_16 },
  { Re3, Dl_16 },
  { Fa3, Dl_16 },
  { Mi3, Dl_16 },
  { Re3, Dl_16 },
  { Do3, Dl_16 },
  { Si2, Dl_16 },
  { La2, Dl_16 },
  { SoD2, Dl_16 },
  { La2, Dl_16 },
  { Si2, Dl_16 },
  { SoD2, Dl_16 },
  { Si2, Dl_4 },
  { La2, Dl_8 }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Yablochko [108][2] =
{ { La2, Dl_4 },
  { La2, Dl_4 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { So2, Dl_4 },

  { Mi2, Dl_8 },
  { Fa2, Dl_8 },
  { Re2, Dl_8 },
  { La2, Dl_8 },
  { So2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_4 },

  { Do2, Dl_8 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_4 },
  
  { Do2, Dl_8 },
  { Si1, Dl_8_ },
  { La1, Dl_16 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_4 },
  { La1, Dl_4 },

  { Re2, Dl_4 },
  { Re2, Dl_8 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_4 },

  { Do2, Dl_8 },
  { Si1, Dl_8_ },
  { La1, Dl_16 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_4 },
  { La1, Dl_4 },


  { La2, Dl_16 },
  { Mi2, Dl_16 },
  { DoD2, Dl_16 },
  { La1, Dl_16 },
  { La2, Dl_16 },
  { Mi2, Dl_16 },
  { DoD2, Dl_16 },
  { La1, Dl_16 },
  { Mi2, Dl_16 },
  { Fa2, Dl_16 },
  { So2, Dl_4 },
  { Mi2, Dl_8 },
  { Fa2, Dl_16 },
  { La1, Dl_16 },
  { Re2, Dl_16 },
  { Fa2, Dl_16 },
  { La2, Dl_8 },
  { So2, Dl_16 },
  { Fa2, Dl_16 },
  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_8_ },

  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { Re2, Dl_16 },
  { Re1, Dl_16 },
  { Fa1, Dl_16 },
  { La1, Dl_16 },
  { Re2, Dl_8 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_4 },

  { Do2, Dl_8 },
  { Si1, Dl_16 },
  { Mi1, Dl_16 },
  { SoD1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },

  { La1, Dl_16 },
  { SoD1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_16 },
  { DoD2, Dl_16 },
  { Re2, Dl_16 },
  { Re1, Dl_16 },
  { Fa1, Dl_16 },
  { La1, Dl_16 },
  { Re2, Dl_8 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_4 },
  
  { Do2, Dl_8 },
  { Si1, Dl_8_ },
  { La1, Dl_16 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_4 },

  { La2, Dl_4 },
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Cyganochka [142][2] =
{ { La1, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_4 },
  { DoD2, Dl_4 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Mi2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_4 },
  { Mi2, Dl_4 },
  { Pausa, Dl_8 },
  { Do2, Dl_8 },
  { So2, Dl_8 },
  { La2, Dl_8 },
  { So2, Dl_4 },
  { Fa2, Dl_4 },
  { Pausa, Dl_8 },

  { Re2, Dl_8 },
  { La2, Dl_8 },
  { SiB2, Dl_8 },
  { La2, Dl_8 },
  { So2, Dl_8 },
  { Mi2, Dl_8 },
  { SiB1, Dl_8 },
  { La2, Dl_8 },
  { So2, Dl_8 },
  { Mi2, Dl_8 },
  { SiB1, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { Re2, Dl_8 },
  { La1, Dl_8 },
  { So2, Dl_8 },
  { Fa2, Dl_8 },
  { Re2, Dl_8 },
  { La1, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { DoD2, Dl_8 },
  { La1, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { DoD2, Dl_8 },
  { La1, Dl_8 },
  { Re2, Dl_4 },
  { Pausa, Dl_4 },
  { Re2, Dl_2 },

  { Fa2, Dl_4 },
  { Mi2, Dl_4 },
  { ReD2, Dl_4 },
  { Mi2, Dl_4 },
  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { DoD2, Dl_4 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { DoD2, Dl_4 },
  { Do2, Dl_4 },
  { DoD2, Dl_4 },
  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { DoD2, Dl_4 },
  { Re2, Dl_4 },

  { Fa2, Dl_4 },
  { Mi2, Dl_4 },
  { Mi2, Dl_8 },
  { ReD2, Dl_8 },
  { Mi2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { Re2, Dl_8 },
  { DoD2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_4 },
  { DoD2, Dl_4 },
  { Si1, Dl_4 },
  { DoD2, Dl_4 },
  { Re2, Dl_4 },
  { Pausa, Dl_4 },
  { Re2, Dl_2 },

  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { SiB1, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { Pausa, Dl_8 },
  { Fa1, Dl_8 },
  { La1, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_4 },
  { Re2, Dl_4 },
  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { DoD2, Dl_8 },
  { Fa2, Dl_4 },
  { Mi2, Dl_4 },
  { Re2, Dl_8 },
  { Fa2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { La1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },

  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { SiB1, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Pausa, Dl_8 },
  { Fa1, Dl_8 },
  { La1, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { SiB1, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { DoD2, Dl_8 },
  { Re2, Dl_4 },
  { Pausa, Dl_4 },
  { Re2, Dl_2 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Golub_Vagon [86][2] =
{ { Mi1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Fa1, Dl_2 },

  { Re1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Re1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_1 },

  { Mi1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_4 },
  { Re1, Dl_4 },
  { La1, Dl_2 },

  { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_1 },

  { La1, Dl_4 },
  { Mi1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Re1, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Si0, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Do1, Dl_4 },
  { La1, Dl_4 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Fa1, Dl_4 },
  { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_2 },

  { La1, Dl_4 },
  { Mi1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Re1, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Si0, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Do1, Dl_4 },
  { La1, Dl_4 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Fa1, Dl_4 },
  { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_2 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Star_Klen [76][2] =
{ { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_4_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_4_ },
  { Mi1, Dl_8_ },
  { FaD1, Dl_8_ },
  { So1, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_4_ },

  { Mi1, Dl_8_ },
  { FaD1, Dl_8_ },
  { So1, Dl_8_ },
  { Si1, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_8_ },
  { Do2, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_8_ },
  { Mi1, Dl_8_ },
  { FaD1, Dl_4_ },
  { So1, Dl_4_ },
  { Pausa, Dl_4_ },

  { Do2, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_4_ },
  { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_4_ },
  { So1, Dl_8_ },
  { Re1, Dl_8_ },
  { So1, Dl_8_ },
  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { Do2, Dl_8_ },
  { Re2, Dl_4_ },

  { Do2, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_8_ },
  { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_8_ },
  { FaD1, Dl_4_ },
  { Mi1, Dl_2_ },

  { Do2, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_4_ },
  { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_4_ },
  { So1, Dl_8_ },
  { Re1, Dl_8_ },
  { So1, Dl_8_ },
  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { Do2, Dl_8_ },
  { Re2, Dl_4_ },

  { Do2, Dl_8_ },
  { Si1, Dl_8_ },
  { La1, Dl_8_ },
  { Mi1, Dl_8_ },
  { So1, Dl_8_ },
  { La1, Dl_8_ },
  { Si1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_8_ },
  { FaD1, Dl_4_ },
  { Mi1, Dl_4_ }
};
//
/*--------" -   "--------*/
static unsigned char __attribute__ ((progmem)) Ktoto [56][2] =
{ { So0, Dl_8 },
  { MiB1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_4 },
  { So0, Dl_8 },
  { So1, Dl_4 },
  { MiB1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_4 },

  { Do1, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { LaB1, Dl_8 },
  { SiB1, Dl_4 },
  { LaB1, Dl_8 },
  { So1, Dl_4_ },

  { Do1, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { LaB1, Dl_8 },
  { SiB1, Dl_4 },
  { LaB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_4 },

  { So1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { MiB1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { Do1, Dl_4_ },

  { Do1, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { LaB1, Dl_8 },
  { SiB1, Dl_4 },
  { LaB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_4 },

  { So1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { MiB1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { Do2, Dl_4_ }
};
//
/*--------"   "--------*/
static unsigned char __attribute__ ((progmem)) Luchshe [102][2] =
{ 
/*{ Mi1, Dl_16 },
  { Mi1, Dl_16 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi1, Dl_16 },
  { Re1, Dl_16 },
  { Do1, Dl_16 },
  { Si0, Dl_16 },
*/
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { FaD1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_2 },
  { Mi1, Dl_8 },
  { Pausa, Dl_8 },

  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { So1, Dl_8 },
  { So1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_2 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },

  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_4 },
  { La1, Dl_4 },
  { Mi2, Dl_4 },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_2 },
  { Si1, Dl_8 },
  { Pausa, Dl_8 },

  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_2 },

  { Mi2, Dl_16 },
  { Re2, Dl_16 },
  { Do2, Dl_16 },
  { Si1, Dl_16 },
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi2, Dl_8 },
  { Mi2, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_4_ }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Murka [102][2] =
{ { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_4_ },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_4 },
  { La1, Dl_16 },
  { SoD1, Dl_16 },
  { La1, Dl_4 },
  { SoD1, Dl_4 },
  { La1, Dl_4 },
  { Pausa, Dl_4 },

  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Pausa, Dl_4 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { La0, Dl_8 },
  { Pausa, Dl_4 },

  { La1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Si1, 36 },
  { Si0, Dl_16 },
  { Do1, Dl_16 },
  { Re1, Dl_16 },
  { ReD1, Dl_16 },
  { Mi1, Dl_16 },
  { SoD1, Dl_16 },
  { Si1, Dl_16 },

  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_4 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Pausa, Dl_4 },
  { Mi1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { La0, Dl_2 },
  { Pausa, Dl_2 },

  { Do2, Dl_4 },
  { La1, Dl_4 },
  { Pausa, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Re2, Dl_4 },
  { Do2, Dl_8 },
  { Si1, Dl_4_ },
  { Pausa, Dl_4 },

  { Si1, Dl_4 },
  { So1, Dl_4 },
  { Pausa, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { La1, Dl_4_ },

  { La1, Dl_4 },
  { La1, Dl_4 },
  { Fa1, Dl_4 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { La1, Dl_4 },

  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_2 },
  { Si1, Dl_2 },
  { La1, Dl_2_ }
};
//
/*--------", "--------*/
static unsigned char __attribute__ ((progmem)) Parovoz [92][2] =
{ { Mi1, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_4 },
  { Mi1, Dl_8 },
  { La1, Dl_4 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_4 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { La0, 40 },
  { Pausa, Dl_4 },

  { Mi1, Dl_8 },
  { Mi1, Dl_4 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_4 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { La0, Dl_8 },
  { Pausa, Dl_8 },

  { So1, Dl_8 },
  { So1, Dl_4 },
  { Do1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_2 },
  { Pausa, Dl_4_ },

  { Mi1, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_4 },
  { Mi1, Dl_8 },
  { La1, Dl_4 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  
  { Fa1, Dl_8 },
  { Mi1, Dl_4 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { La0, Dl_8_ },
  { La0, Dl_16 },
  { Si0, Dl_16 },
  { Do1, Dl_16 },
  { Re1, Dl_16 },
  { Mi1, Dl_4_ },
  
  { Mi1, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_4 },
  { Mi1, Dl_8 },
  { La1, Dl_4 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  
  { Fa1, Dl_8 },
  { Mi1, Dl_4 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { La0, Dl_8 }
};
//
/*--------"  ?"--------*/
static unsigned char __attribute__ ((progmem)) Vinovata [89][2] =
{ { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { Do2, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { MiB1, Dl_4 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_4 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  { MiB1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_2 },
  { Do1, Dl_8 },
  { Pausa, Dl_8 },

  { Do1, Dl_8 },
  { MiB1, Dl_8 },
  { So1, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { So1, Dl_4 },
  { Do1, Dl_8 },
  { MiB1, Dl_8 },
  { So1, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { So1, Dl_4 },
  { Do1, Dl_8 },
  { Do1, Dl_8 },
  { LaB1, Dl_8 },
  { LaB1, Dl_4 },
  { SiB1, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { So1, 40 },
  { Pausa, Dl_8 },

  { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { Do2, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { MiB1, Dl_4 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_4 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  { MiB1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, 40 },
  { Pausa, Dl_8 },

  { LaB1, Dl_8 },
  { SiB1, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { Do2, Dl_4 },
  { SiB1, Dl_8 },
  { LaB1, Dl_8 },
  { Do2, Dl_8 },
  { So1, Dl_4 },
  { Fa1, Dl_8 },
  { MiB1, Dl_4 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { SiB1, Dl_8 },
  { LaB1, Dl_4 },
  { So1, Dl_8 },
  { Fa1, Dl_4 },
  { MiB1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_2 },
  { Do2, Dl_8 }
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Ryabina [39][2] =
{ { Mi1, Dl_2 },
  { So1, Dl_4 },
  { Si1, Dl_2 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { La1, 80 },

  { Si0, Dl_4 },
  { ReD1, Dl_4 },
  { FaD1, Dl_4 },
  { Do2, Dl_2 },
  { Si1, Dl_4 },
  { La1, Dl_4 },
  { So1, 80 },

  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Si1, Dl_4 },
  { Mi2, Dl_2 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { Do2, 80 },

  { Re2, Dl_2 },
  { Mi2, Dl_4 },
  { Si1, Dl_2 },
  { La1, Dl_4 },
  { Si1, Dl_4 },
  { Mi1, 80 },
  
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Si1, Dl_4 },
  { Mi2, Dl_2 },
  { Re2, Dl_4 },
  { Re2, Dl_4 },
  { Do2, 80 },

  { Re2, Dl_2 },
  { Mi2, Dl_4 },
  { Si1, Dl_2 },
  { La1, Dl_4 },
  { Si1, Dl_4 },
  { Mi2, Dl_1 }
};
//
/*--------" -"--------*/
static unsigned char __attribute__ ((progmem)) St_dor [68][2] =
{ { Re2, Dl_4 },
  { SiB1, Dl_4 },
  { So1, Dl_4 },
  { La1, Dl_2 },
  { FaD1, Dl_4 },
  { Re1, Dl_4 },
  { Mi1, Dl_4 },
  { FaD1, Dl_4 },
  { La1, Dl_2 },
  { So1, Dl_4 },

  { Re2, Dl_4 },
  { MiB2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_2 },

  { Re1, Dl_4 },
  { Do2, Dl_4 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_8 },
  { SiB1, Dl_2 },
  { So1, Dl_4 },

  { So1, Dl_4 },
  { La1, Dl_4 },
  { Si1, Dl_4 },
  { Do2, Dl_2 },
  { So1, Dl_4 },
  { So2, Dl_4 },
  { Fa2, Dl_4 },
  { MiB2, Dl_4 },
  { MiB2, Dl_2 },
  { Re2, Dl_4 },

  { Re2, Dl_4 },
  { SiB1, Dl_4 },
  { So1, Dl_4 },
  { La1, Dl_2 },
  { FaD1, Dl_4 },
  { Re1, Dl_4 },
  { Mi1, Dl_4 },
  { FaD1, Dl_4 },
  { La1, Dl_2 },
  { So1, Dl_4 },

  { So1, Dl_4 },
  { La1, Dl_4 },
  { Si1, Dl_4 },
  { Do2, Dl_2 },
  { So1, Dl_4 },
  { So2, Dl_4 },
  { Fa2, Dl_4 },
  { MiB2, Dl_4 },
  { So2, Dl_2 },
  { Re2, Dl_4 },

  { Re2, Dl_4 },
  { MiB2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_2 },
  { Re1, Dl_4 },
  { Do2, Dl_4 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { SiB1, Dl_8 },
  { La1, Dl_8 },
  { SiB1, Dl_2 },
  { So1, Dl_4 }
};
//
/*--------""--------*/
static unsigned char __attribute__ ((progmem)) Tumbalalay [59][2] =
{ { La1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_4_ },
  { Fa1, Dl_8 },
  { So1, Dl_2 },
  { Mi1, Dl_4 },

  { So1, Dl_4 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4_ },
  { Mi1, Dl_8 },
  { Fa1, Dl_2_ },

  { Re1, Dl_4 },
  { Fa1, Dl_4 },
  { La1, Dl_4 },
  { Re2, Dl_2 },
  { La1, Dl_4 },
  { Do2, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_2 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_2 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Fa1, Dl_2_ },

  { Re1, Dl_4 },
  { Fa1, Dl_4 },
  { La1, Dl_4 },
  { Re2, Dl_2 },
  { La1, Dl_4 },
  { Do2, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_2 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_2 },
  { So1, Dl_4 },
  { So1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_2 },
/*
  { Fa1, Dl_4 },
  { Fa1, Dl_4 },
  { Fa1, Dl_4 },
  { Fa1, Dl_2 },
  { Fa1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_4 },
  { Mi1, Dl_2_ },

  { Mi1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_2 },
  { Mi1, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_4 },
  { DoD1, Dl_4 },
  { Fa1, Dl_2_ },

  { Re1, Dl_4 },
  { Fa1, Dl_4 },
  { La1, Dl_4 },
  { Re2, Dl_2 },
  { La1, Dl_4 },
  { Do2, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_4 },
  { So1, Dl_2 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { So1, Dl_4 },
  { SiB1, Dl_4 },
  { La1, Dl_2 },
  { So1, Dl_4 },
  { La1, Dl_4 },
  { DoD2, Dl_4 },
  { Mi2, Dl_4 },
  { Re2, Dl_2 }
*/
};
//
/*--------" "--------*/
static unsigned char __attribute__ ((progmem)) Kadril [162][2] =
{ { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { FaD1, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { So1, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { La1, Dl_8 },
  { Re1, Dl_8 },
  { Pausa, Dl_8 },

  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { Re1, Dl_8 },
  { So1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_4_ },

  { Si1, Dl_8 },
  { Si1, Dl_8_ },
  { So1, Dl_16 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { ReD1, Dl_8 },
  { Si0, Dl_8 },
  { Pausa, Dl_8 },

  { Si1, Dl_8 },
  { Si1, Dl_8_ },
  { La1, Dl_16 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Si0, Dl_8 },
  { Pausa, Dl_8 },

  { Si1, Dl_8 },
  { Si1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Re2, Dl_4 },
  { Do2, Dl_8 },

  { Do2, Dl_8 },
  { Si1, Dl_8_ },
  { La1, Dl_16 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_4_ },


  { Si1, Dl_8 },
  { La1, Dl_4 },
  { FaD1, Dl_4 },
  { ReD1, Dl_4 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_4 },
  { Pausa, Dl_8 },

  { Si1, Dl_8 },
  { La1, Dl_4 },
  { FaD1, Dl_4 },
  { ReD1, Dl_4 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_4 },
  { Pausa, Dl_8 },

  { Re2, Dl_8 },
  { Do2, Dl_4 },
  { La1, Dl_4 },
  { FaD1, Dl_4 },
  { Do2, Dl_4 },
  { Si1, Dl_4 },
  { So1, Dl_4 },
  { Mi1, Dl_4 },
  { Pausa, Dl_8 },

  { So1, Dl_8 },
  { FaD1, Dl_4 },
  { Mi1, Dl_4 },
  { Do1, Dl_4 },
  { La0, Dl_4 },
  { So1, Dl_4 },
  { FaD1, Dl_4 },
  { Si0, Dl_4_ },
  { Si1, Dl_8 },
  { Pausa, Dl_8 },

  { Mi1, Dl_16 },
  { FaD1, Dl_16 },
  { So1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Pausa, Dl_8 },
  { FaD1, Dl_8 },
  { Pausa, Dl_8 },

  { FaD1, Dl_16 },
  { La1, Dl_16 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { La1, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_8 },
  { So1, Dl_8 },
  { Pausa, Dl_8 },

  { Mi1, Dl_16 },
  { FaD1, Dl_16 },
  { So1, Dl_8 },
  { Mi1, Dl_8 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Pausa, Dl_8 },
  { FaD1, Dl_8 },
  { Pausa, Dl_8 },

  { FaD1, Dl_16 },
  { La1, Dl_16 },
  { So1, Dl_8 },
  { FaD1, Dl_8 },
  { Mi1, Dl_8 },
  { Pausa, Dl_2 },

  { So1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_8 },
  { So1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },

  { La1, Dl_16 },
  { Do2, Dl_16 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Pausa, Dl_8 },
  { Si1, Dl_8 },
  { Pausa, Dl_8 },

  { So1, Dl_16 },
  { La1, Dl_16 },
  { Si1, Dl_8 },
  { So1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },
  { La1, Dl_8 },

  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { DoD2, Dl_8 },
  { ReD2, Dl_8 },
  { Mi2, Dl_8 },
  { Pausa, Dl_8 },
  { Mi2, Dl_8 }
};
//
/*--------" (  " ")"--------*/
static unsigned char __attribute__ ((progmem)) Stradanie [103][2] =
{ { FaD1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { Si0, Dl_8_ },
  { DoD1, Dl_8_ },
  { Re1, Dl_8_ },
  { Si0, Dl_8_ },
  { DoD1, Dl_8_ },
  { Pausa, Dl_8_ },

  { FaD1, Dl_8_ },
  { So1, Dl_8_ },
  { FaD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { DoD1, Dl_8_ },
  { Re1, Dl_8_ },
  { Mi1, Dl_8_ },
  { DoD1, Dl_8_ },
  { Re1, Dl_8_ },
  { Pausa, Dl_8_ },

  { Re1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Si1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Re2, Dl_8_ },
  { Si1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Re1, Dl_8_ },
  { Si0, Dl_8_ },
  { Re1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Si0, Dl_8_ },
  { La1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Mi1, Dl_4_ },

  { Mi1, Dl_8_ },
  { FaD1, Dl_8_ },
  { La1, 18 },
  { So1, Dl_16_ },
  { Mi1, Dl_8_ },
  { DoD1, Dl_8_ },
  { Re1, Dl_8_ },
  { FaD1, Dl_8_ },
  { Re1, Dl_8_ },
  { Si0, Dl_8_ },
  { DoD1, Dl_8_ },
  { Mi1, Dl_8_ },
  { DoD1, Dl_8_ },
  { LaD0, Dl_8_ },
  { Si0, Dl_8_ },
  { Pausa, Dl_8_ },

  { Re2, Dl_16_ },
  { DoD2, Dl_16_ },
  { Re2, Dl_16_ },
  { FaD2, Dl_16_ },
  { La2, Dl_8_ },
  { Pausa, Dl_16_ },
  { So2, Dl_16_ },
  { Mi2, Dl_8_ },
  { DoD2, Dl_8_ },
  { Re2, Dl_16_ },
  { Mi2, Dl_32_ },
  { Mi2, Dl_32_ },
  { FaD2, Dl_8_ },
  { Re2, Dl_16_ },
  { FaD2, Dl_16_ },
  { Re2, Dl_16_ },
  { Si1, Dl_8_ },
  { DoD2, Dl_16_ },
  { Re2, Dl_32_ },
  { ReD2, Dl_32_ },
  { Mi2, Dl_8_ },
  { DoD2, Dl_16_ },
  { Mi2, Dl_16_ },
  { DoD2, Dl_16_ },
  { LaD1, Dl_8_ },
  { Si1, Dl_8_ },
  { Pausa, Dl_16_ },
  { Si2, Dl_16_ },
  { FaD2, Dl_8_ },
  { Re3, Dl_8_ },
  { Si2, Dl_8_ },
  { Pausa, Dl_16_ },
  { Si1, Dl_16_ },
  { FaD1, Dl_8_ },
  { Re2, Dl_8_ },
  { Si1, Dl_8_ },
  { Pausa, Dl_8_ },
  { FaD1, Dl_8_ },
  { Pausa, Dl_8_ },
  { Si2, Dl_8_ }
};
//
/*--------"Alouette (  "  ")"--------*/
static unsigned char __attribute__ ((progmem)) Alouette [94][2] =
{ { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_8 },
  { Pausa, Dl_8 },
  { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_8 },
  { Do2, Dl_8 },
  { La1, Dl_8 },

  { Pausa, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Mi2, Dl_4 },
  { Fa2, Dl_8 },
  { Pausa, Dl_4 },
  { Do2, Dl_8 },
  { Do2, Dl_4 },
  { Si1, Dl_8 },
  { Si1, Dl_4_ },
  { Mi2, Dl_2_ },

  { Pausa, Dl_8 },
  { Do3, Dl_8 },
  { Si2, Dl_8 },
  { La2, Dl_8 },
  { Si2, Dl_8 },
  { Do3, Dl_8 },
  { Do3, Dl_4 },
  { Re3, Dl_8 },
  { Pausa, Dl_4 },
  { La2, Dl_8 },
  { La2, Dl_4 },
  { SoD2, Dl_8 },
  { SoD2, Dl_4_ },
  { Mi2, Dl_2_ },

  { Pausa, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Mi2, Dl_4 },
  { Fa2, Dl_8 },
  { Pausa, Dl_4 },
  { Fa2, Dl_8 },
  { So2, Dl_8 },
  { So2, Dl_4 },
  { Re2, Dl_4_ },
  { Mi2, Dl_2_ },

  { Pausa, Dl_8 },
  { Do3, Dl_8 },
  { Si2, Dl_8 },
  { La2, Dl_8 },
  { Si2, Dl_8 },
  { Do3, Dl_8 },
  { Do3, Dl_4 },
  { Re3, Dl_8 },
  { Pausa, Dl_4 },
  { Re3, Dl_8 },
  { Mi3, Dl_4_ },
  { SoD2, Dl_4_ },
  { La2, Dl_2_ },

  { Pausa, Dl_8 },
  { Mi2, Dl_8 },
  { Re2, Dl_8 },
  { DoD2, Dl_8 },
  { Re2, Dl_8 },
  { Mi2, Dl_8 },
  { Mi2, Dl_4 },
  { Fa2, Dl_8 },
  { Pausa, Dl_4 },
  { Do3, Dl_8 },
  { Do3, Dl_4 },
  { Si2, Dl_8 },
  { Si2, Dl_4_ },
  { Mi3, Dl_2_ },

  { Pausa, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Do2, Dl_4 },
  { Re2, Dl_8 },
  { Pausa, Dl_4 },
  { Re2, Dl_8 },
  { Re2, Dl_4 },
  { Mi2, Dl_8 },
  { SoD1, Dl_4_ },
  { La1, Dl_4_ }
};
//
/*--------"  (  "")"--------*/
static unsigned char __attribute__ ((progmem)) Cuygan [71][2] =
{ { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Mi1, Dl_1 },

  { Pausa, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Mi1, Dl_1 },

  { Pausa, Dl_8 },
  { Re1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_8 },
  { SoD1, Dl_8 },
  { La1, Dl_8 },
  { Re1, Dl_1 },

  { Pausa, Dl_8 },
  { Do1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { So1, Dl_8 },
  { Fa1, Dl_8 },
  { Do1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_1 },

  { Pausa, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Mi1, Dl_1 },

  { Pausa, Dl_8 },
  { Mi1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Re2, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Do2, Dl_8 },
  { Mi2, Dl_1 },

  { Pausa, Dl_8 },
  { DoD1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { La1, Dl_8 },
  { Re2, Dl_8 },
  { DoD2, Dl_8 },
  { Do2, Dl_1 },

  { Pausa, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Do2, Dl_8 },
  { Si1, Dl_8 },
  { Mi2, Dl_8 },
  { Si1, Dl_8 },
  { La1, Dl_1 }
};
//
/*--------"Man Of Mystery (Shadows)"--------*/
static unsigned char __attribute__ ((progmem)) Shadows [81][2] =
{ { Mi0, Dl_4 },
  { Mi0, Dl_4 },
  { Mi0, Dl_4 },
  { Mi0, Dl_4 },

  { La0, Dl_4 },
  { Do1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { SoD0, Dl_4 },
  { Si0, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },

  { So0, Dl_4 },
  { LaD0, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { FaD0, Dl_4 },
  { La0, Dl_4 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },

  { Fa0, Dl_4 },
  { La0, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_4 },
  { Mi0, Dl_4 },
  { La0, Dl_4 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },

  { Do1, Dl_4 },
  { Si0, Dl_4 },
  { Do1, Dl_4 },
  { Si0, Dl_4 },
  { Do1, Dl_4 },
  { Si0, Dl_4 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { Do1, Dl_8 },
  { Si0, Dl_8 },

  { La0, Dl_4 },
  { Do1, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { SoD0, Dl_4 },
  { Si0, Dl_4 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },
  { Fa1, Dl_8 },
  { Mi1, Dl_8 },

  { So0, Dl_4 },
  { LaD0, Dl_4 },
  { Fa1, Dl_4 },
  { Mi1, Dl_4 },
  { FaD0, Dl_4 },
  { La0, Dl_4 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },
  { Mi1, Dl_8 },
  { Re1, Dl_8 },

  { Fa0, Dl_4 },
  { La0, Dl_4 },
  { Mi1, Dl_4 },
  { Re1, Dl_4 },
  { Mi0, Dl_4 },
  { La0, Dl_4 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },
  { Re1, Dl_8 },
  { Do1, Dl_8 },

  { Do1, Dl_8 },
  { Si0, Dl_8 },
  { LaD0, Dl_8 },
  { Si0, Dl_8 },
  { Do1, Dl_4 },
  { Si0, Dl_4 },
  { La1, Dl_2_ }
};
//
